package com.ruoyi.project.training.elearn.service;

import java.util.List;
import com.ruoyi.project.training.elearn.domain.TElRepo;

/**
 * 题库Service接口
 * 
 * @author ssy
 * @date 2024-05-27
 */
public interface ITElRepoService 
{
    /**
     * 查询题库
     * 
     * @param repoId 题库ID
     * @return 题库
     */
    public TElRepo selectTElRepoById(Long repoId);

    /**
     * 查询题库列表
     * 
     * @param tElRepo 题库
     * @return 题库集合
     */
    public List<TElRepo> selectTElRepoList(TElRepo tElRepo);

    /**
     * 新增题库
     * 
     * @param tElRepo 题库
     * @return 结果
     */
    public int insertTElRepo(TElRepo tElRepo);

    /**
     * 修改题库
     * 
     * @param tElRepo 题库
     * @return 结果
     */
    public int updateTElRepo(TElRepo tElRepo);

    /**
     * 批量删除题库
     * 
     * @param repoIds 需要删除的题库ID
     * @return 结果
     */
    public int deleteTElRepoByIds(Long[] repoIds);

    /**
     * 删除题库信息
     * 
     * @param repoId 题库ID
     * @return 结果
     */
    public int deleteTElRepoById(Long repoId);
}
